This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 812468

Summary: [abrt] libreoffice-core-3.4.5.2-8.fc16: OUString: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Curt <bugzilla-qwerty>
Component: libreofficeAssignee: Caolan McNamara <caolanm>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: caolanm, dtardon, erack, ltinkl, mstahl, sbergman
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:1400a5e1ced6ff9d33ba87ed802b127be5a1a975
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-04-18 10:09:37 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: dso_list
none
File: maps
none
File: backtrace none

Description Curt 2012-04-13 15:53:38 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc --splash-pipe=7
crash_function: OUString
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.3.1-3.fc16.x86_64
pid:            12872
pwd:            /home/Cbuerling
reason:         Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
time:           Fri 13 Apr 2012 03:31:06 PM EDT
uid:            1000
username:       Cbuerling

backtrace:      Text file, 772561 bytes
dso_list:       Text file, 23441 bytes
maps:           Text file, 94154 bytes

comment:
:Had just finished saving LibreOffice Calc sheet as a .csv.?
:And then tried to close the Calc application by clicking on the X to close window.
:Do not know if this can be reproduced.

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=4
:HOSTNAME=titan.test.lab
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=12860
:GPG_AGENT_INFO=/tmp/keyring-Og0ak5/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=gnome-panel-2494-titan.test.lab-libreoffice-13_TIME41320040
:HISTSIZE=1000
:XDG_SESSION_COOKIE=842bb47709837198705c0cf10000000c-1334256421.879553-1012512610
:OLDPWD=/usr/lib64/libreoffice/program
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-Og0ak5
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=Cbuerling
:SSH_AUTH_SOCK=/tmp/keyring-Og0ak5/ssh
:USERNAME=Cbuerling
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2255,unix/unix:/tmp/.ICE-unix/2255
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-calc.desktop
:MAIL=/var/spool/mail/Cbuerling
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/Cbuerling/.local/bin:/home/Cbuerling/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/Cbuerling
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=2251
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/Cbuerling
:XDG_SEAT=seat0
:SHLVL=1
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=Cbuerling
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-DVaENa8vtt,guid=1aa649fe6224b7ef1028cd3c0000005d
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/Cbuerling
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-Cbuerling-uwqSyr/database
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.3.x86_64/jre/lib/amd64

smolt_data:
:
:
:General
:=================================
:UUID: 314daa6b-214e-4d88-b7eb-d31e4785b05d
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4589.46
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i3-2350M CPU @ 2.30GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2300
:System Memory: 7898
:System Swap: 2998
:Vendor: LENOVO
:System: 1143AEU ThinkPad E520
:Form factor: Notebook
:Kernel: 3.3.1-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7241:6058:8674) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(32902:278:6058:8674) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7198:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 8
:(32902:7200:6058:8674) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7188:6058:8674) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:132:32902:4885) pci, iwlwifi, NETWORK, Centrino Wireless-N 1000 BGN
:(32902:7202:6058:8674) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4332:33128:6058:8674) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(4480:59427:6058:8674) pci, sdhci-pci, BASE, N/A
:(32902:7171:6058:8674) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:6058:8674) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:6058:8674) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8674) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8674) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 100255471 80950300 79947158 25092096 24808902 24808902
:

var_log_messages:
:Apr 13 15:31:06 titan kernel: [47240.535109] soffice.bin[12872]: segfault at 7fff2ecb2fd0 ip 000000350742bca7 sp 00007fff2ecb2fd0 error 6 in libuno_cppu.so.3[3507400000+3a000]
:Apr 13 15:31:09 titan abrt[14095]: Saved core dump of pid 12872 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-04-13-15:31:06-12872 (288796672 bytes)
Comment 1 Curt 2012-04-13 15:53:42 EDT
Created attachment 577408 [details]
File: dso_list
Comment 2 Curt 2012-04-13 15:53:44 EDT
Created attachment 577409 [details]
File: maps
Comment 3 Curt 2012-04-13 15:53:53 EDT
Created attachment 577410 [details]
File: backtrace
Comment 4 Eike Rathke 2012-04-16 07:50:07 EDT
2048 frames in thread 7 in backtrace already looks suspicious ... endless recursion while disposing a11y until accessing the process that is gone?
Comment 5 Caolan McNamara 2012-04-16 10:38:03 EDT
this is not the first time we've seen this a11y-related backtrace, but we always seem to be unable to reproduce it. Obviously needs a11y to be enabled in the desktop of course.
Comment 6 Caolan McNamara 2012-04-18 10:09:37 EDT
can't reproduce. I know I've seen this type of a11y-related backtrace before though, but couldn't reproduce it then either.

If anyone's got a sure-fire way to reproduce this I'd be very interested in squashing this :-(